diff -up sos-2.2/sos/plugins/squid.py.orig sos-2.2/sos/plugins/squid.py
--- sos-2.2/sos/plugins/squid.py.orig	2013-10-07 18:09:47.310522177 +0100
+++ sos-2.2/sos/plugins/squid.py	2013-10-07 18:09:58.522560411 +0100
@@ -28,7 +28,12 @@ class squid(sos.plugintools.PluginBase):
 
     def setup(self):
         self.addCopySpec("/etc/squid/squid.conf")
-        self.addCopySpecLimit("/var/log/sqid",
-                            sizelimit = self.getOption("logsize"))
+        logsize = self.getOption("logsize")
+        self.addCopySpecLimit("/var/log/squid/access.log",
+                              sizelimit = logsize)  
+        self.addCopySpecLimit("/var/log/squid/cache.log",
+                              sizelimit = logsize)  
+        self.addCopySpecLimit("/var/log/squid/squid.out",
+                              sizelimit = logsize)  
         return
 
